import 'package:usps_sdk/usps_sdk.dart';
import 'package:test/test.dart';
//TODO: Delete user ID before publishing
const String userID = "";

void main() {
  USPSSdk uspsSdk = USPSSdk(userID: userID);
  test("Validate adress", ()async{
    String response = await uspsSdk.validate(
      address1: "SUITE K",
      address2: "29851 Aventura",
      state: "CA",
      zip5: "92688",
    );
    print(response);
  });
  test("ZIP Code Lookup API", ()async{
    String response = await uspsSdk.zipCodeLookupAPI(
      address1: "SUITE K",
      address2: "29851 Aventura",
      state: "CA",
      zip5: "92688",
    );
    print(response);
  });
  test("CityStateLookup API", ()async{
    String response = await uspsSdk.cityStateLookup(
      zip5: 92688,
    );
    print(response);
  });
  test("Tracking", ()async{
    String response = await uspsSdk.trackAndConfirm(
      trackID: "9305589674000215488420",
    );
    print(response);
  });
}